# IGTokenOpenPnlFeed

*Interface for GTokenOpenPnlFeed contract*

## Request

```solidity
struct Request {
  bool initiated;
  bool active;
  uint256 linkFeePerNode;
}
```

## nextEpochValuesRequestCount

```solidity
function nextEpochValuesRequestCount() external view returns (uint256)
```

## newOpenPnlRequestOrEpoch

```solidity
function newOpenPnlRequestOrEpoch() external
```

## fulfill

```solidity
function fulfill(bytes32 requestId, int256 value) external
```

## NumberParamUpdated

```solidity
event NumberParamUpdated(string name, uint256 newValue)
```

## OracleUpdated

```solidity
event OracleUpdated(uint256 index, address newValue)
```

## OraclesUpdated

```solidity
event OraclesUpdated(address[] newValues)
```

## JobUpdated

```solidity
event JobUpdated(bytes32 newValue)
```

## NextEpochValuesReset

```solidity
event NextEpochValuesReset(uint256 currEpoch, uint256 requestsResetCount)
```

## NewEpochForced

```solidity
event NewEpochForced(uint256 newEpoch)
```

## NextEpochValueRequested

```solidity
event NextEpochValueRequested(uint256 currEpoch, uint256 requestId, bytes32 job, uint256 oraclesCount, uint256 linkFeePerNode)
```

## NewEpoch

```solidity
event NewEpoch(uint256 newEpoch, uint256 requestId, int256[] epochMedianValues, int256 epochAverageValue, uint256 newEpochPositiveOpenPnl)
```

## RequestValueReceived

```solidity
event RequestValueReceived(bool isLate, uint256 currEpoch, uint256 requestId, bytes32 oracleRequestId, address oracle, int256 requestValue, uint256 linkFee)
```

## RequestMedianValueSet

```solidity
event RequestMedianValueSet(uint256 currEpoch, uint256 requestId, int256[] requestValues, int256 medianValue)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gains.trade/developer/technical-reference/contracts/interfaces/igtokenopenpnlfeed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
